PLplot: plplotter.c File Reference

PLplot 5.15.0

Classes | Macros | Typedefs | Functions | Variables
plplotter.c File Reference
`#include "plserver.h"`
`#include "pltkwd.h"`
`#include "tcpip.h"`

Go to the source code of this file.

## Classes
struct | PlPlotter

## Macros
#define | NEED_PLDEBUG
#define | NDEV 100
#define | REFRESH_PENDING 1
#define | RESIZE_PENDING 2
#define | REDRAW_PENDING 4
#define | UPDATE_V_SCROLLBAR 8
#define | UPDATE_H_SCROLLBAR 16
#define | DEF_PLFRAME_BG_COLOR "Black"
#define | DEF_PLFRAME_BG_MONO "White"
#define | DEF_PLFRAME_BORDER_WIDTH "0"
#define | DEF_PLFRAME_CURSOR ( (char *) NULL )
#define | DEF_PLFRAME_HEIGHT "250"
#define | DEF_PLFRAME_RELIEF "flat"
#define | DEF_PLFRAME_WIDTH "250"
#define | INSTALL_COLORMAP_IN_TK

## Typedefs
typedef struct PlPlotter | PlPlotter

## Functions
int | plPlotterCmd (ClientData, Tcl_Interp *, int, const char **)
void | PlplotterAtEop (Tcl_Interp *interp, register PlPlotter *plPlotterPtr)
void | PlplotterAtBop (Tcl_Interp *interp, register PlPlotter *plPlotterPtr)
static void | DestroyPlPlotter (ClientData)
static void | DisplayPlPlotter (ClientData)
static void | PlPlotterInit (ClientData)
static void | PlPlotterFirstInit (ClientData clientData)
static void | PlPlotterConfigureEH (ClientData, XEvent *)
static void | PlPlotterExposeEH (ClientData, XEvent *)
static void | PlPlotterMotionEH (ClientData, register XEvent *)
static void | PlPlotterEnterEH (ClientData, register XEvent *)
static void | PlPlotterLeaveEH (ClientData, register XEvent *)
static void | PlPlotterButtonPressEH (ClientData clientData, register XEvent *)
static int | PlPlotterWidgetCmd (ClientData, Tcl_Interp *, int, CONST char **)
static int | ReadData (ClientData, int)
static void | Install_cmap (PlPlotter *plPlotterPtr)
static int | Closelink (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Cmd (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | ConfigurePlPlotter (Tcl_Interp *, PlPlotter *, int, CONST char **, int)
static int | Draw (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Info (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Openlink (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Orient (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Page (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | NextPage (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Print (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Redraw (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Save (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | View (Tcl_Interp *, PlPlotter *, int, CONST char **)
static int | Scroll (Tcl_Interp *, PlPlotter *)
static int | report (Tcl_Interp *, PlPlotter *, int, CONST char **)
static void | ActiveState (register PlPlotter *plPlotterPtr, int on)
static void | CreateXhairs (PlPlotter *)
static void | DestroyXhairs (PlPlotter *)
static void | DrawXhairs (PlPlotter *, int, int)
static void | UpdateXhairs (PlPlotter *)
static void | CreateRband (PlPlotter *)
static void | DestroyRband (PlPlotter *)
static void | DrawRband (PlPlotter *, int, int)
static void | UpdateRband (PlPlotter *)
static void | gbox (PLFLT *, PLFLT *, PLFLT *, PLFLT *, CONST char **)
static void | UpdateVScrollbar (register PlPlotter *)
static void | UpdateHScrollbar (register PlPlotter *)
int | plPlotterCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, const char **argv)
static void | PlPlotterConfigureEH (ClientData clientData, register XEvent *eventPtr)
static void | PlPlotterExposeEH (ClientData clientData, register XEvent *eventPtr)
static void | PlPlotterLeaveEH (ClientData clientData, register XEvent *PL_UNUSED(eventPtr))
static int | scol0 (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int i, CONST char *col, int *p_changed)
static int | scol1 (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int i, CONST char *col, CONST char *pos, CONST char *rev, int *p_changed)
static int | Cmd (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | ConfigurePlPlotter (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv, int flags)
static int | Draw (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Info (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Openlink (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Closelink (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int PL_UNUSED(argc), CONST char **PL_UNUSED(argv))
static int | process_data (Tcl_Interp *interp, register PlPlotter *plPlotterPtr)
static int | Orient (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Print (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int PL_UNUSED(argc), CONST char **PL_UNUSED(argv))
static int | NextPage (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **PL_UNUSED(argv))
static int | Page (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Redraw (Tcl_Interp *PL_UNUSED(interp), register PlPlotter *plPlotterPtr, int PL_UNUSED(argc), CONST char **PL_UNUSED(argv))
static int | Save (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | View (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)
static int | Scroll (Tcl_Interp *interp, register PlPlotter *plPlotterPtr)
static int | report (Tcl_Interp *interp, register PlPlotter *plPlotterPtr, int argc, CONST char **argv)

## Variables
static Tk_ConfigSpec | configSpecs []

## Macro Definition Documentation

## ◆ DEF_PLFRAME_BG_COLOR

#define DEF_PLFRAME_BG_COLOR "Black"

Definition at line 214 of file plplotter.c.

## ◆ DEF_PLFRAME_BG_MONO

#define DEF_PLFRAME_BG_MONO "White"

Definition at line 215 of file plplotter.c.

## ◆ DEF_PLFRAME_BORDER_WIDTH

#define DEF_PLFRAME_BORDER_WIDTH "0"

Definition at line 216 of file plplotter.c.

## ◆ DEF_PLFRAME_CURSOR

#define DEF_PLFRAME_CURSOR ( (char *) NULL )

Definition at line 217 of file plplotter.c.

## ◆ DEF_PLFRAME_HEIGHT

#define DEF_PLFRAME_HEIGHT "250"

Definition at line 218 of file plplotter.c.

## ◆ DEF_PLFRAME_RELIEF

#define DEF_PLFRAME_RELIEF "flat"

Definition at line 219 of file plplotter.c.

## ◆ DEF_PLFRAME_WIDTH

#define DEF_PLFRAME_WIDTH "250"

Definition at line 220 of file plplotter.c.

## ◆ INSTALL_COLORMAP_IN_TK

#define INSTALL_COLORMAP_IN_TK

## ◆ NDEV

#define NDEV 100

Definition at line 93 of file plplotter.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 65 of file plplotter.c.

## ◆ REDRAW_PENDING

#define REDRAW_PENDING 4

Definition at line 208 of file plplotter.c.

## ◆ REFRESH_PENDING

#define REFRESH_PENDING 1

Definition at line 206 of file plplotter.c.

## ◆ RESIZE_PENDING

#define RESIZE_PENDING 2

Definition at line 207 of file plplotter.c.

## ◆ UPDATE_H_SCROLLBAR

#define UPDATE_H_SCROLLBAR 16

Definition at line 210 of file plplotter.c.

## ◆ UPDATE_V_SCROLLBAR

#define UPDATE_V_SCROLLBAR 8

Definition at line 209 of file plplotter.c.

## Typedef Documentation

## ◆ PlPlotter

typedef struct PlPlotter PlPlotter

## Function Documentation

## ◆ ActiveState()

static void ActiveState | ( | register PlPlotter * | plPlotterPtr,
|  | int | on
| ) |  |
| static

Definition at line 1985 of file plplotter.c.

## ◆ Closelink() [1/2]

static int Closelink | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Closelink() [2/2]

static int Closelink | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | PL_UNUSEDargc,
|  | CONST char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2440 of file plplotter.c.

## ◆ Cmd() [1/2]

static int Cmd | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Cmd() [2/2]

static int Cmd | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 1729 of file plplotter.c.

## ◆ ConfigurePlPlotter() [1/2]

static int ConfigurePlPlotter | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** | ,
|  | int |
| ) |  |
| static

## ◆ ConfigurePlPlotter() [2/2]

static int ConfigurePlPlotter | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv,
|  | int | flags
| ) |  |
| static

Definition at line 2051 of file plplotter.c.

## ◆ CreateRband()

static void CreateRband | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1251 of file plplotter.c.

## ◆ CreateXhairs()

static void CreateXhairs | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1153 of file plplotter.c.

## ◆ DestroyPlPlotter()

static void DestroyPlPlotter | ( | ClientData | clientData | ) |
| static

Definition at line 806 of file plplotter.c.

## ◆ DestroyRband()

static void DestroyRband | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1303 of file plplotter.c.

## ◆ DestroyXhairs()

static void DestroyXhairs | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1191 of file plplotter.c.

## ◆ DisplayPlPlotter()

static void DisplayPlPlotter | ( | ClientData | clientData | ) |
| static

Definition at line 1476 of file plplotter.c.

## ◆ Draw() [1/2]

static int Draw | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Draw() [2/2]

static int Draw | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2194 of file plplotter.c.

## ◆ DrawRband()

static void DrawRband | ( | PlPlotter * | plPlotterPtr,
|  | int | x0,
|  | int | y0
| ) |  |
| static

Definition at line 1318 of file plplotter.c.

## ◆ DrawXhairs()

static void DrawXhairs | ( | PlPlotter * | plPlotterPtr,
|  | int | x0,
|  | int | y0
| ) |  |
| static

Definition at line 1206 of file plplotter.c.

## ◆ gbox()

static void gbox | ( | PLFLT * | xl,
|  | PLFLT * | yl,
|  | PLFLT * | xr,
|  | PLFLT * | yr,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 3207 of file plplotter.c.

## ◆ Info() [1/2]

static int Info | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Info() [2/2]

static int Info | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2293 of file plplotter.c.

## ◆ Install_cmap()

static void Install_cmap | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1426 of file plplotter.c.

## ◆ NextPage() [1/2]

static int NextPage | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ NextPage() [2/2]

static int NextPage | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2721 of file plplotter.c.

## ◆ Openlink() [1/2]

static int Openlink | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Openlink() [2/2]

static int Openlink | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2355 of file plplotter.c.

## ◆ Orient() [1/2]

static int Orient | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Orient() [2/2]

static int Orient | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2585 of file plplotter.c.

## ◆ Page() [1/2]

static int Page | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Page() [2/2]

static int Page | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2747 of file plplotter.c.

## ◆ PlplotterAtBop()

void PlplotterAtBop | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr
| ) |  |

Definition at line 2517 of file plplotter.c.

## ◆ PlplotterAtEop()

void PlplotterAtEop | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr
| ) |  |

Definition at line 2507 of file plplotter.c.

## ◆ PlPlotterButtonPressEH()

static void PlPlotterButtonPressEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1127 of file plplotter.c.

## ◆ plPlotterCmd() [1/2]

int plPlotterCmd | ( | ClientData | ,
|  | Tcl_Interp * | ,
|  | int | ,
|  | const char ** |
| ) |  |

## ◆ plPlotterCmd() [2/2]

int plPlotterCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 347 of file plplotter.c.

## ◆ PlPlotterConfigureEH() [1/2]

static void PlPlotterConfigureEH | ( | ClientData | ,
|  | XEvent * |
| ) |  |
| static

## ◆ PlPlotterConfigureEH() [2/2]

static void PlPlotterConfigureEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 891 of file plplotter.c.

## ◆ PlPlotterEnterEH()

static void PlPlotterEnterEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1071 of file plplotter.c.

## ◆ PlPlotterExposeEH() [1/2]

static void PlPlotterExposeEH | ( | ClientData | ,
|  | XEvent * |
| ) |  |
| static

## ◆ PlPlotterExposeEH() [2/2]

static void PlPlotterExposeEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 973 of file plplotter.c.

## ◆ PlPlotterFirstInit()

static void PlPlotterFirstInit | ( | ClientData | clientData | ) |
| static

Definition at line 1347 of file plplotter.c.

## ◆ PlPlotterInit()

static void PlPlotterInit | ( | ClientData | clientData | ) |
| static

Definition at line 1388 of file plplotter.c.

## ◆ PlPlotterLeaveEH() [1/2]

static void PlPlotterLeaveEH | ( | ClientData | ,
|  | register XEvent * |
| ) |  |
| static

## ◆ PlPlotterLeaveEH() [2/2]

static void PlPlotterLeaveEH | ( | ClientData | clientData,
|  | register XEvent * | PL_UNUSEDeventPtr
| ) |  |
| static

Definition at line 1108 of file plplotter.c.

## ◆ PlPlotterMotionEH()

static void PlPlotterMotionEH | ( | ClientData | clientData,
|  | register XEvent * | eventPtr
| ) |  |
| static

Definition at line 1037 of file plplotter.c.

## ◆ PlPlotterWidgetCmd()

static int PlPlotterWidgetCmd | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 503 of file plplotter.c.

## ◆ Print() [1/2]

static int Print | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Print() [2/2]

static int Print | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | PL_UNUSEDargc,
|  | CONST char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2628 of file plplotter.c.

## ◆ process_data()

static int process_data | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr
| ) |  |
| static

Definition at line 2469 of file plplotter.c.

## ◆ ReadData()

static int ReadData | ( | ClientData | clientData,
|  | int | mask
| ) |  |
| static

Definition at line 2535 of file plplotter.c.

## ◆ Redraw() [1/2]

static int Redraw | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Redraw() [2/2]

static int Redraw | ( | Tcl_Interp * | PL_UNUSEDinterp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | PL_UNUSEDargc,
|  | CONST char ** | PL_UNUSEDargv
| ) |  |
| static

Definition at line 2788 of file plplotter.c.

## ◆ report() [1/2]

static int report | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ report() [2/2]

static int report | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 3096 of file plplotter.c.

## ◆ Save() [1/2]

static int Save | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ Save() [2/2]

static int Save | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2812 of file plplotter.c.

## ◆ scol0()

static int scol0 | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | i,
|  | CONST char * | col,
|  | int * | p_changed
| ) |  |
| static

Definition at line 1612 of file plplotter.c.

## ◆ scol1()

static int scol1 | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | i,
|  | CONST char * | col,
|  | CONST char * | pos,
|  | CONST char * | rev,
|  | int * | p_changed
| ) |  |
| static

Definition at line 1658 of file plplotter.c.

## ◆ Scroll() [1/2]

static int Scroll | ( | Tcl_Interp * | ,
|  | PlPlotter * |
| ) |  |
| static

## ◆ Scroll() [2/2]

static int Scroll | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr
| ) |  |
| static

Definition at line 3078 of file plplotter.c.

## ◆ UpdateHScrollbar()

static void UpdateHScrollbar | ( | register PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 3180 of file plplotter.c.

## ◆ UpdateRband()

static void UpdateRband | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1337 of file plplotter.c.

## ◆ UpdateVScrollbar()

static void UpdateVScrollbar | ( | register PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 3154 of file plplotter.c.

## ◆ UpdateXhairs()

static void UpdateXhairs | ( | PlPlotter * | plPlotterPtr | ) |
| static

Definition at line 1231 of file plplotter.c.

## ◆ View() [1/2]

static int View | ( | Tcl_Interp * | ,
|  | PlPlotter * | ,
|  | int | ,
|  | CONST char ** |
| ) |  |
| static

## ◆ View() [2/2]

static int View | ( | Tcl_Interp * | interp,
|  | register PlPlotter * | plPlotterPtr,
|  | int | argc,
|  | CONST char ** | argv
| ) |  |
| static

Definition at line 2944 of file plplotter.c.

## Variable Documentation

## ◆ configSpecs

Tk_ConfigSpec configSpecs[]
| static

Definition at line 224 of file plplotter.c.